clc
clear all
close all

g=9.81;

nC=500;
nE=500;

N=3000;      %Giri/min
w0=29;
L=0.3;
d=1.2e-3;
T0=50;
E=2.11e11;
e=0.004;
zeta=0.09;
w=N*2*pi/60;
r=w/w0;
T=2*pi/w;
u0=0;
up0=0;
v0=0;
vp0=0;
Tf=(nC+nE)*T
Tc=0.001;
mu=E*pi*d^2/4/(2*T0);

Si=ceil(nE*T/Tc);
Sf=floor(Tf/Tc);
Sc=round(T/Tc);

sim('modello',Tf)

figure
subplot(2,3,1)
    plot(u(Si:Sf,2),up(Si:Sf,2))
    hold on
    plot(u(Si:Sc:Sf,2),up(Si:Sc:Sf,2),'o','Markerfacecolor','r')
    grid
    
subplot(2,3,2)
    plot(v(Si:Sf,2),vp(Si:Sf,2))
    hold on
    plot(v(Si:Sc:Sf,2),vp(Si:Sc:Sf,2),'o','Markerfacecolor','r')
    grid

subplot(2,3,3)
    plot(u(Si:Sf,2),v(Si:Sf,2))
    hold on
    plot(u(Si:Sc:Sf,2),v(Si:Sc:Sf,2),'o','Markerfacecolor','r')
    grid
    
subplot(2,3,4)
    plot(u(Si:Sc:Sf,2),up(Si:Sc:Sf,2),'.','Markersize',2)
    grid
    
subplot(2,3,5)
    plot(v(Si:Sc:Sf,2),vp(Si:Sc:Sf,2),'.','Markersize',2)
    grid

subplot(2,3,6)
    plot(u(Si:Sc:Sf,2),v(Si:Sc:Sf,2),'.','Markersize',2)
    grid